package com.kingdee.eas.custom.erp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class synPositionToErpFactory
{
    private synPositionToErpFactory()
    {
    }
    public static com.kingdee.eas.custom.erp.IsynPositionToErp getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPositionToErp)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("5476F47A") ,com.kingdee.eas.custom.erp.IsynPositionToErp.class);
    }
    
    public static com.kingdee.eas.custom.erp.IsynPositionToErp getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPositionToErp)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("5476F47A") ,com.kingdee.eas.custom.erp.IsynPositionToErp.class, objectCtx);
    }
    public static com.kingdee.eas.custom.erp.IsynPositionToErp getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPositionToErp)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("5476F47A"));
    }
    public static com.kingdee.eas.custom.erp.IsynPositionToErp getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPositionToErp)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("5476F47A"));
    }
}